Loading...
Searching...
No Matches
casacore::BiweightStatisticsData Class Reference

`#include <BiweightStatisticsData.h>`

## Public Member Functions

| BiweightStatisticsData ()=delete
| BiweightStatisticsData (const BiweightStatisticsData &other)=delete

## Static Public Member Functions

static std::set< StatisticsData::STATS > | getUnsupportedStats ()

## Static Private Attributes

static std::set< StatisticsData::STATS > | _unsupportedStats
static std::mutex | _mutex

## Detailed Description

Definition at line 38 of file BiweightStatisticsData.h.

## Constructor & Destructor Documentation

## BiweightStatisticsData() [1/2]

casacore::BiweightStatisticsData::BiweightStatisticsData | ( |  | ) |

delete

Referenced by BiweightStatisticsData().

## BiweightStatisticsData() [2/2]

casacore::BiweightStatisticsData::BiweightStatisticsData | ( | const BiweightStatisticsData & | other | ) |

delete

References BiweightStatisticsData().

## Member Function Documentation

## getUnsupportedStats()

std::set< StatisticsData::STATS > casacore::BiweightStatisticsData::getUnsupportedStats | ( |  | ) |

static

## Member Data Documentation

## _mutex

std::mutex casacore::BiweightStatisticsData::_mutex

static private

Definition at line 51 of file BiweightStatisticsData.h.

## _unsupportedStats

std::set<StatisticsData::STATS> casacore::BiweightStatisticsData::_unsupportedStats

static private

Definition at line 50 of file BiweightStatisticsData.h.

The documentation for this class was generated from the following file:

- scimath/StatsFramework/BiweightStatisticsData.h